<form class="{{cssClass}} flexcol" autocomplete="off">

  {{!-- Sheet Header --}}
  <header class="sheet-header flexrow">
    <img class="profile" src="{{document.img}}" title="{{document.name}}" data-edit="img" />

    <div class="header-details flexrow">
      <h1 class="title">
        <textarea name="name" placeholder="{{localize 'GDW.ItemName'}}">{{item.name}}</textarea>
      </h1>

      <div class="item-subtitle">
        <h4 class="item-type">{{capitalize item_type}}</h4>
        <span class="item-status">{{item_status}}</span>
      </div>

      <ul class="summary flexrow">
        <li>
          <span>{{ localize (lookup config.consumableTypes system.consumableType ) }}</span>&nbsp;
        </li>
        <li>
          <input type="text" name="system.source" value="{{system.source}}" placeholder="{{ localize 'Source' }}" />
        </li>
      </ul>
    </div>
  </header>

  {{!-- Item Sheet Navigation --}}
  <nav class="sheet-navigation tabs" data-group="primary">
    <a class="item active" data-tab="description">{{ localize "Description" }}</a>
    <a class="item" data-tab="details">{{ localize "Details" }}</a>
  </nav>

  {{!-- Item Sheet Body --}}
  <section class="sheet-body">

    {{!-- Description Tab --}}
    {{> GDW.item-description }}

    {{!-- Derived Values --}}
    <div class="tab flexrow active" data-group="primary" data-tab="description">
      <fieldset>
        <legend>{{ localize "Derived Values" }}</legend>
        <div>
          {{#each document.system.empties}}
            <i class="far fa-circle"></i>
          {{/each}}
          {{#each document.system.rounds}}
            <i class="fas fa-circle"></i>
          {{/each}}
        </div>
      </fieldset>
    </div>

    {{!-- Details Tab --}}
    <div class="tab flexrow active" data-group="primary" data-tab="details">
      <fieldset>
        <legend>{{ localize "Magazine Specs" }}</legend>

        {{!-- Ammunition Type --}}
        <div class="form-group" data-name="system.ammo_type">
          <label>{{ localize "Ammunition Type" }}</label>
          <select name="system.ammo_type" data-tooltip="Type of ammunition that the magazine can hold">
            {{selectOptions AMMUNITION_TYPES selected=document.system.ammo_type}}
          </select>
        </div>

        {{!-- Magazine Capacity --}}
        <div class="form-group" data-name="system.capacity.max">
          <label>{{ localize "Magazine Capacity" }}</label>
          {{numberInput document.system.capacity.max name="system.capacity.max" step=0.1 min=0
           title="Number of rounds the magazine can hold"}}
        </div>

        {{!-- Magazine Mass --}}
        <div class="form-group" data-name="system.container_mass">
          <label>{{ localize "Magazine Mass (kg)" }}</label>
          {{numberInput document.system.container_mass name="system.container_mass" step=0.001 min=0
           title="The mass, in kilograms (kg), of the magazine itself, unloaded"}}
        </div>

        {{!-- Firearm Compatibility --}}
        <div class="form-group" data-name="system.compatibility">
          <label>{{ localize "Compatibility" }}</label>
          <select name="system.compatibility" data-tooltip="Types of firearms that the magazine is compatible with">
            {{selectOptions COMPATIBILITY selected=document.system.compatibility}}
          </select>
        </div>
      </fieldset>
  </section>

  <footer>
    <button type="submit">{{localize "Save"}}</button>
  </footer>
</form>
